"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-38/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f34ca0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f34d30>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f34dc0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f34e50>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f34ee0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f34f70>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a040>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a0d0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a160>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a1f0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a280>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a310>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a3a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a430>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a4c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a550>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a5e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a670>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a700>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a790>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a820>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a8b0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a940>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3a9d0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3aaf0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3aa60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3ab80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3ac10>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3aca0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3ad30>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3adc0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3ae50>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3aee0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3af70>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e040>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e0d0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e160>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e1f0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e280>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e310>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e3a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e430>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e4c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e550>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e5e0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e670>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e700>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e790>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e820>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e8b0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e940>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3e9d0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3ea60>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3eaf0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3eb80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3ec10>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3eca0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3ed30>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3edc0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3ee50>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3eee0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f3ef70>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42040>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f420d0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42160>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42310>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f421f0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f423a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42430>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f424c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42550>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f425e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42670>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42790>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42820>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f428b0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f429d0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42940>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42a60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42af0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42b80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42c10>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42ca0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f84d6f42d30>)]
name: str = 'fr_HOCCN'
